Get Agreement Offer Details

get

/subscriptions/agreement/offer/{id}

Gets catalog details for an offer and agreement-specific overrides when an agreement is supplied.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The agreement-aware offer details were returned successfully.
Body ()
Root Schema : AgreementOfferDetails
Type: object
Show Source
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : agreement
Type: array
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : usageMap
Type: array
Show Source
Nested Schema : AgreementOfferDetailsOverride
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : usageMap
Type: array
Show Source
Nested Schema : Attribute
Type: object
Show Source
Nested Schema : AgreementOfferDetailsUsageMap
Type: object
Show Source
Nested Schema : dateRange
Type: array
Show Source
Nested Schema : DateRange
Type: object
Show Source
Nested Schema : priceTag
Type: array
Show Source
Nested Schema : PriceTag
Type: object
Show Source
Nested Schema : UsageMap
Type: object
Show Source
Nested Schema : attribute
Type: array
Show Source
Nested Schema : dateRange
Type: array
Show Source
Nested Schema : discountModel
Type: array
Show Source
Nested Schema : ratePlan
Type: array
Show Source
Nested Schema : DiscountModel
Type: object
Show Source
Nested Schema : priceTag
Type: array
Show Source
Nested Schema : RatePlan
Type: object
Show Source
Nested Schema : priceTag
Type: array
Show Source

404 Response

The specified offer ID was not found.

500 Response

An internal server error occurred.
Back to Top